/***************************************************
  This is an example for the Adafruit Thermocouple Sensor w/MAX31855K

  Designed specifically to work with the Adafruit Thermocouple Sensor
  ----> https://www.adafruit.com/products/269

  These displays use SPI to communicate, 3 pins are required to
  interface
  Adafruit invests time and resources providing this open source code,
  please support Adafruit and open-source hardware by purchasing
  products from Adafruit!

  Written by Limor Fried/Ladyada for Adafruit Industries.
  BSD license, all text above must be included in any redistribution
 ****************************************************/

//This will graph the temp out of your unit every 30 seconds 
#include <SPI.h>
#include "Adafruit_MAX31855.h"

#define MAXDO   D3
#define MAXCS   D4
#define MAXCLK  D5
//const int ledPin = D2;  // 16 corresponds to GPIO16
float fTemp = 0.0;
double fTime = 0.0;
// setting PWM properties
const int freq = 5000;
const int ledChannel = 0;
const int resolution = 8;
 
int change = 0;
// initialize the Thermocouple
Adafruit_MAX31855 thermocouple(MAXCLK, MAXCS, MAXDO);



void setup() {
  Serial.begin(9600);
  
 
  delay(500);
  //Serial.print("Initializing sensor...");
  if (!thermocouple.begin()) {
    //Serial.println("ERROR.");
    while (1) delay(10);
  }

}

void loop() {
 
   
   Serial.print("F = ");
   Serial.println(thermocouple.readFahrenheit());
 delay( 30 * 1000);
}